<?php
if(paramdeep('plateAuthorizations','print','link','direct'))
{
  echo('<a class="btnPrint" href="'.$url.'">'.$buttonHtml.'</a>');
}
else
{
  if(!paramdeep('plateAuthorizations','print','link','newPage'))
  {
    echo('<a href="'.$url.'">'.$buttonHtml.'</a>');
  }
  else
  {
    if(paramdeep('plateAuthorizations','print','link','popup'))
    {
      $this->widget('ext.popup.JPopupWindow', array(
          'content'=>$buttonHtml,
          'url'=>$url,
          'htmlOptions'=>array('title'=>t("Print")),
          'options'=>array(
              'height'=>500,
              'width'=>800,
              'top'=>50,
              'left'=>50,
          ),
      ));
    }
    else
    {
      echo('<a target="_blank" href="'.$url.'">'.$buttonHtml.'</a>');
    }    
  }
}
?>